﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@using System.Web.UI.WebControls
@model SSCMvc.Models.MaEnqFollow
@{
    ViewBag.Title = "Create";
}
<script type="text/javascript">
    $(document).ready(function () {

        $("#NextDate").datepicker();
        $('input[type="date"]').attr('placeholder', 'mm/dd/yyyy');
        $('input[type="date"]').prop('type', 'text');

        $('#Remarks').autocomplete({ source: '/MaEnqFollow/AutoCompleteCity' });
    });
</script>
@using (Ajax.BeginForm("AdmissionCreate", "MaEnqFollow", null,
        new AjaxOptions
        {
            UpdateTargetId = "update-messageStatus",
            InsertionMode = InsertionMode.Replace,
            HttpMethod = "POST",
            OnSuccess = "updateSuccessStatus"
        }, new { @id = "updateCustAcHistory" }))
{
    @Html.ValidationSummary(true)
  
    <table>
        <tr>
            <td>
                <table>
                    <tr>
                        <td class="editor-label">
                            <b>Enquiry By:</b>
                        </td>
                        <td class="editor-field">
                            @ViewBag.Username
                        </td>
                        <td class="editor-field">
                        </td>
                    </tr>
                    <tr>
                        <td class="editor-label">
                            @Html.LabelFor(model => model.Remarks)
                        </td>
                        <td class="editor-field">
                            @Html.EditorFor(model => model.Remarks)
                        </td>
                        <td class="editor-field">
                            @Html.ValidationMessageFor(model => model.Remarks)
                        </td>
                    </tr>
                    <tr>
                        <td class="editor-label">
                            @Html.LabelFor(model => model.NextDate)
                        </td>
                        <td class="editor-field">
                            @Html.EditorFor(model => model.NextDate)
                        </td>
                        <td class="editor-field">
                            @Html.ValidationMessageFor(model => model.NextDate)
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Enquiry Status
                        </td>
                        <td>
                            @{
    var listenq = new List<ListItem>();
    listenq.Add(new ListItem { Text = "Open", Value = "Open" });
    listenq.Add(new ListItem { Text = "Move To Visa", Value = "Move To Visa" });
    listenq.Add(new ListItem { Text = "Close", Value = "Close" });
                 
        
   
                              
                            }
                            @Html.DropDownListFor(model => model.Enqstatus, new SelectList(listenq))
                            @Html.ValidationMessageFor(model => model.Enqstatus)
                        </td>
                    </tr>
                </table>
            </td>
            <td style="padding-left: 20px" valign="top">
                <table>
                    <tr>
                        <td>
                            <b>Name :</b>
                        </td>
                        <td>
                            @ViewBag.name
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <b>Roll No :</b>
                        </td>
                        <td>@ViewBag.rollno
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <div id="update-messageStatus">
    </div>   
@* <input type="submit" value="Create" />*@
    
    int id = (int)Model.ReferId;
    string ftype = Model.FollowUpType;
    @Html.HiddenFor(model => model.ReferId)
    @Html.HiddenFor(model => model.FollowUpType)
    @Html.Action("_Index", new { @id = id, @reftype = Model.FollowUpType })
}